Skip to content
Ona Docs

CreateEnvironmentAccessToken

POST/gitpod.v1.EnvironmentService/CreateEnvironmentAccessToken

Creates an access token for the environment.

Generated tokens are valid for one hour and provide environment-specific access permissions. The token is scoped to a specific environment.

Examples

  • Generate environment token:

    Creates a temporary access token for accessing an environment.

    environmentId: "07e03a28-65a5-4d98-b532-8ea67b188048"
Body ParametersJSONExpand Collapse
environmentId: string

environment_id specifies the environment for which the access token should be created.

formatuuid
ReturnsExpand Collapse
accessToken: string

access_token is the token that can be used for environment authentication

CreateEnvironmentAccessToken

curl https://app.gitpod.io/api/gitpod.v1.EnvironmentService/CreateEnvironmentAccessToken \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{
          "environmentId": "07e03a28-65a5-4d98-b532-8ea67b188048"
        }'
{
  "accessToken": "accessToken"
}
Returns Examples
{
  "accessToken": "accessToken"
}